# httpaccess.rb

Path: | lib/facets/more/httpaccess.rb
Last Update: | Fri Dec 07 23:54:02 +0000 2007

# httpaccess.rb

## Copyright (C) 2000 NAKAMURA, Hiroshi

      Ruby License

      This module is free software. You may use, modify, and/or redistribute this
      software under the same terms as Ruby.

      This program is distributed in the hope that it will be useful, but WITHOUT
      ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
      FOR A PARTICULAR PURPOSE.

## Author(s)

- Hiroshi Nakamura <nakahiro@sarion.co.jp>
- Maehashi

## Developer Notes

      NOTE httpaccess.rb is based on http-access2.rb which is based on
           http-access/0.0.4. Some part of code in http-access.rb was recycled
           in http-access2.rb.  Those parts are copyrighted by Maehashi-san.

### Required files

timeout uri socket thread facets/more/http facets/more/cookie

### Constants

DEBUG_SSL | = | true

[Validate]